/*
 *
 * (C) 2022 - ntop.org
 *
 *  http://www.ntop.org/
 *
 * This code is proprietary code subject to the terms and conditions
 * defined in LICENSE file which is part of this source code package.
 *
 */

#ifndef _NTAP_TYPEDEFS_H_
#define _NTAP_TYPEDEFS_H_

#define NTAP_HEADER_VERSION   2

#define NTAP_MAGIC_0         0x19
#define NTAP_MAGIC_1         0x68
#define NTAP_MAGIC_2         0x24

PACKED_ON struct my_pcap_pkthdr {
  u_int32_t tv_sec, tv_usec; /**< Time stamp */
  u_int16_t caplen;          /**< Packet captured length */
  u_int16_t len;             /**< Packet length */  
} PACKED_OFF;

PACKED_ON struct ntop_tap_header_v2 {
  u_int8_t version, _magic[3];
  u_int16_t tap_id;
  u_int8_t num_pkts, _unused;
} PACKED_OFF;

#endif /* _NTAP_TYPEDEFS_H_ */
